
Installer - Support #28745

Smart proxy installation fails with the  Could not find resource 'Foreman::Rake[apipie:cache:index]'

for relationship from 'Package[dhcp_browser]' on node foremanserver.example.com
Description

I am observing an issue with the foreman-proxy dhcp installation with foreman-installer as below,

foreman:  1.23

foreman-installer : 1.23

I am using the below command,

foreman-installer \

--no-enable-foreman \

--no-enable-foreman-cli \

--no-enable-foreman-plugin-bootdisk \

--no-enable-foreman-plugin-setup \

--enable-puppet \

--puppet-server-ca=false \

--foreman-proxy-tftp=true \

--foreman-proxy-tftp-servername=1x.x.xx.x \

--foreman-proxy-dhcp=true \

--foreman-proxy-dhcp-interface=eth0 \

--foreman-proxy-dhcp-gateway=1x.x.x.x \

--foreman-proxy-dhcp-nameservers="x.x.x.x" \

--foreman-proxy-dns=true \

--foreman-proxy-dns-interface=eth0 \

--foreman-proxy-dns-zone=xxxx.com \

--foreman-proxy-dns-reverse=x.x.x.x.ok-addr.arpa \

--foreman-proxy-dns-forwarders=17x.x.x.50 \

--foreman-proxy-foreman-base-url=https://foreman.example.com \

--foreman-proxy-oauth-consumer-key=*************** \

--foreman-proxy-oauth-consumer-secret=************** \

--enable-foreman-plugin-dhcp-browser

Could not find resource 'Foreman::Rake[apipie:cache:index]' for relationship from 'Package[dhcp_br

owser]' on node c7labmachine.radisys.com

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:44:in `mk_relationship'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:21:in `block (2 levels) 

in evaluate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:20:in `each'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:20:in `block in evaluate

'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:19:in `each'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/relationship.rb:19:in `evaluate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:394:in `block in evaluate_re

lationships'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:394:in `each'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:394:in `evaluate_relationshi

ps'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:628:in `finish'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:185:in `block (2 levels) in 

compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler/around_profiler.rb:58:in `profile
'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:185:in `block in compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:62:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:274:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:155:in `compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:34:in `compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:307:in `block (2

 levels) in compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler/around_profiler.rb:58:in `profile

'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:305:in `block in

 compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:233:in `block in benchmark'

/opt/puppetlabs/puppet/lib/ruby/2.5.0/benchmark.rb:308:in `realtime'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `benchmark'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:303:in `compile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:56:in `block in 

find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/node/environment.rb:423:in `with_text_domain'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:55:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/indirection.rb:223:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:232:in `block in main'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:62:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:274:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:207:in `main'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:177:in `run_command'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:382:in `block in run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:687:in `exit_on_fail'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:382:in `run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:143:in `run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:77:in `execute'

 Any leads to help with this issue is highly appreciated.

Kindly let me know if any further clarification is needed with the issue.

History

#1 - 01/14/2020 07:25 PM - Anonymous

dhcp_browser is a foreman core plugin, but you are disabling foreman core, as this is a proxy-only install.

#2 - 01/14/2020 09:30 PM - Anonymous

- Tracker changed from Bug to Support

- Project changed from Smart Proxy to Installer

- Category set to Foreman modules

- Status changed from New to Feedback

- Priority changed from High to Low

- Triaged changed from No to Yes

- Assignee set to Anonymous

b

#3 - 01/16/2020 07:06 AM - Brijnandan Chauhan

Hi Michael,

Would you suggest me on how to proceed with this. I am trying to install only foreman-proxy on one of my dhcp server.

Thanks,

Brij

#4 - 01/16/2020 11:56 AM - Anonymous

- Status changed from Feedback to Resolved
Don't use "--enable-foreman-plugin-dhcp-browser".
